Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# prism2rids.h

    00001
    00002 // The contents of this file are believed to come from a linux PRISM2 driver,
    00003 // with some changes made by Pascal Stang.
    00004
    00005 /*--- Record ID Constants --------------------------*/
    00006 /*--------------------------------------------------------------------
    00007 Configuration RIDs: Network Parameters, Static Configuration Entities
    00008 --------------------------------------------------------------------*/
    00009 #define PRISM2_RID_CNFPORTTYPE              ((UINT16)0xFC00)
    00010 #define PRISM2_RID_CNFOWNMACADDR            ((UINT16)0xFC01)
    00011 #define PRISM2_RID_CNFDESIREDSSID           ((UINT16)0xFC02)
    00012 #define PRISM2_RID_CNFOWNCHANNEL            ((UINT16)0xFC03)
    00013 #define PRISM2_RID_CNFOWNSSID               ((UINT16)0xFC04)
    00014 #define PRISM2_RID_CNFOWNATIMWIN            ((UINT16)0xFC05)
    00015 #define PRISM2_RID_CNFSYSSCALE              ((UINT16)0xFC06)
    00016 #define PRISM2_RID_CNFMAXDATALEN            ((UINT16)0xFC07)
    00017 #define PRISM2_RID_CNFWDSADDR               ((UINT16)0xFC08)
    00018 #define PRISM2_RID_CNFPMENABLED             ((UINT16)0xFC09)
    00019 #define PRISM2_RID_CNFPMEPS                 ((UINT16)0xFC0A)
    00020 #define PRISM2_RID_CNFMULTICASTRX           ((UINT16)0xFC0B)
    00021 #define PRISM2_RID_CNFMAXSLEEPDUR           ((UINT16)0xFC0C)
    00022 #define PRISM2_RID_CNFPMHOLDDUR             ((UINT16)0xFC0D)
    00023 #define PRISM2_RID_CNFOWNNAME               ((UINT16)0xFC0E)
    00024 #define PRISM2_RID_CNFOWNDTIMPER            ((UINT16)0xFC10)
    00025 #define PRISM2_RID_CNFWDSADDR1              ((UINT16)0xFC11)
    00026 #define PRISM2_RID_CNFWDSADDR2              ((UINT16)0xFC12)
    00027 #define PRISM2_RID_CNFWDSADDR3              ((UINT16)0xFC13)
    00028 #define PRISM2_RID_CNFWDSADDR4              ((UINT16)0xFC14)
    00029 #define PRISM2_RID_CNFWDSADDR5              ((UINT16)0xFC15)
    00030 #define PRISM2_RID_CNFWDSADDR6              ((UINT16)0xFC16)
    00031 #define PRISM2_RID_CNFMCASTPMBUFF           ((UINT16)0xFC17)
    00032
    00033 /*--------------------------------------------------------------------
    00034 Configuration RID lengths: Network Params, Static Config Entities
    00035   This is the length of JUST the DATA part of the RID (does not
    00036   include the len or code fields)
    00037 --------------------------------------------------------------------*/
    00038 /* TODO: fill in the rest of these */
    00039 #define PRISM2_RID_CNFPORTTYPE_LEN          ((UINT16)2)
    00040 #define PRISM2_RID_CNFOWNMACADDR_LEN        ((UINT16)6)
    00041 #define PRISM2_RID_CNFDESIREDSSID_LEN       ((UINT16)34)
    00042 #define PRISM2_RID_CNFOWNCHANNEL_LEN        ((UINT16)2)
    00043 #define PRISM2_RID_CNFOWNSSID_LEN           ((UINT16)34)
    00044 #define PRISM2_RID_CNFOWNATIMWIN_LEN        ((UINT16)2)
    00045 #define PRISM2_RID_CNFSYSSCALE_LEN          ((UINT16)0)
    00046 #define PRISM2_RID_CNFMAXDATALEN_LEN        ((UINT16)0)
    00047 #define PRISM2_RID_CNFWDSADDR_LEN           ((UINT16)6)
    00048 #define PRISM2_RID_CNFPMENABLED_LEN         ((UINT16)0)
    00049 #define PRISM2_RID_CNFPMEPS_LEN             ((UINT16)0)
    00050 #define PRISM2_RID_CNFMULTICASTRX_LEN       ((UINT16)0)
    00051 #define PRISM2_RID_CNFMAXSLEEPDUR_LEN       ((UINT16)0)
    00052 #define PRISM2_RID_CNFPMHOLDDUR_LEN         ((UINT16)0)
    00053 #define PRISM2_RID_CNFOWNNAME_LEN           ((UINT16)34)
    00054 #define PRISM2_RID_CNFOWNDTIMPER_LEN        ((UINT16)0)
    00055 #define PRISM2_RID_CNFWDSADDR1_LEN          ((UINT16)6)
    00056 #define PRISM2_RID_CNFWDSADDR2_LEN          ((UINT16)6)
    00057 #define PRISM2_RID_CNFWDSADDR3_LEN          ((UINT16)6)
    00058 #define PRISM2_RID_CNFWDSADDR4_LEN          ((UINT16)6)
    00059 #define PRISM2_RID_CNFWDSADDR5_LEN          ((UINT16)6)
    00060 #define PRISM2_RID_CNFWDSADDR6_LEN          ((UINT16)6)
    00061 #define PRISM2_RID_CNFMCASTPMBUFF_LEN       ((UINT16)0)
    00062 #define PRISM2_RID_CNFAUTHENTICATION_LEN    ((UINT16)sizeof(UINT16))
    00063 #define PRISM2_RID_CNFMAXSLEEPDUR_LEN       ((UINT16)0)
    00064
    00065 /*--------------------------------------------------------------------
    00066 Configuration RIDs: Network Parameters, Dynamic Configuration Entities
    00067 --------------------------------------------------------------------*/
    00068 #define PRISM2_RID_GROUPADDR                ((UINT16)0xFC80)
    00069 #define PRISM2_RID_CREATEIBSS               ((UINT16)0xFC81)
    00070 #define PRISM2_RID_FRAGTHRESH               ((UINT16)0xFC82)
    00071 #define PRISM2_RID_RTSTHRESH                ((UINT16)0xFC83)
    00072 #define PRISM2_RID_TXRATECNTL               ((UINT16)0xFC84)
    00073 #define PRISM2_RID_PROMISCMODE              ((UINT16)0xFC85)
    00074 #define PRISM2_RID_FRAGTHRESH0              ((UINT16)0xFC90)
    00075 #define PRISM2_RID_FRAGTHRESH1              ((UINT16)0xFC91)
    00076 #define PRISM2_RID_FRAGTHRESH2              ((UINT16)0xFC92)
    00077 #define PRISM2_RID_FRAGTHRESH3              ((UINT16)0xFC93)
    00078 #define PRISM2_RID_FRAGTHRESH4              ((UINT16)0xFC94)
    00079 #define PRISM2_RID_FRAGTHRESH5              ((UINT16)0xFC95)
    00080 #define PRISM2_RID_FRAGTHRESH6              ((UINT16)0xFC96)
    00081 #define PRISM2_RID_RTSTHRESH0               ((UINT16)0xFC97)
    00082 #define PRISM2_RID_RTSTHRESH1               ((UINT16)0xFC98)
    00083 #define PRISM2_RID_RTSTHRESH2               ((UINT16)0xFC99)
    00084 #define PRISM2_RID_RTSTHRESH3               ((UINT16)0xFC9A)
    00085 #define PRISM2_RID_RTSTHRESH4               ((UINT16)0xFC9B)
    00086 #define PRISM2_RID_RTSTHRESH5               ((UINT16)0xFC9C)
    00087 #define PRISM2_RID_RTSTHRESH6               ((UINT16)0xFC9D)
    00088 #define PRISM2_RID_TXRATECNTL0              ((UINT16)0xFC9E)
    00089 #define PRISM2_RID_TXRATECNTL1              ((UINT16)0xFC9F)
    00090 #define PRISM2_RID_TXRATECNTL2              ((UINT16)0xFCA0)
    00091 #define PRISM2_RID_TXRATECNTL3              ((UINT16)0xFCA1)
    00092 #define PRISM2_RID_TXRATECNTL4              ((UINT16)0xFCA2)
    00093 #define PRISM2_RID_TXRATECNTL5              ((UINT16)0xFCA3)
    00094 #define PRISM2_RID_TXRATECNTL6              ((UINT16)0xFCA4)
    00095
    00096 /*--------------------------------------------------------------------
    00097 Configuration RID Lengths: Network Param, Dynamic Config Entities
    00098   This is the length of JUST the DATA part of the RID (does not
    00099   include the len or code fields)
    00100 --------------------------------------------------------------------*/
    00101 /* TODO: fill in the rest of these */
    00102 #define PRISM2_RID_GROUPADDR_LEN            ((UINT16)16 * WLAN_ADDR_LEN)
    00103 #define PRISM2_RID_CREATEIBSS_LEN           ((UINT16)0)
    00104 #define PRISM2_RID_FRAGTHRESH_LEN           ((UINT16)0)
    00105 #define PRISM2_RID_RTSTHRESH_LEN            ((UINT16)0)
    00106 #define PRISM2_RID_TXRATECNTL_LEN           ((UINT16)4)
    00107 #define PRISM2_RID_PROMISCMODE_LEN          ((UINT16)2)
    00108 #define PRISM2_RID_FRAGTHRESH0_LEN          ((UINT16)0)
    00109 #define PRISM2_RID_FRAGTHRESH1_LEN          ((UINT16)0)
    00110 #define PRISM2_RID_FRAGTHRESH2_LEN          ((UINT16)0)
    00111 #define PRISM2_RID_FRAGTHRESH3_LEN          ((UINT16)0)
    00112 #define PRISM2_RID_FRAGTHRESH4_LEN          ((UINT16)0)
    00113 #define PRISM2_RID_FRAGTHRESH5_LEN          ((UINT16)0)
    00114 #define PRISM2_RID_FRAGTHRESH6_LEN          ((UINT16)0)
    00115 #define PRISM2_RID_RTSTHRESH0_LEN           ((UINT16)0)
    00116 #define PRISM2_RID_RTSTHRESH1_LEN           ((UINT16)0)
    00117 #define PRISM2_RID_RTSTHRESH2_LEN           ((UINT16)0)
    00118 #define PRISM2_RID_RTSTHRESH3_LEN           ((UINT16)0)
    00119 #define PRISM2_RID_RTSTHRESH4_LEN           ((UINT16)0)
    00120 #define PRISM2_RID_RTSTHRESH5_LEN           ((UINT16)0)
    00121 #define PRISM2_RID_RTSTHRESH6_LEN           ((UINT16)0)
    00122 #define PRISM2_RID_TXRATECNTL0_LEN          ((UINT16)0)
    00123 #define PRISM2_RID_TXRATECNTL1_LEN          ((UINT16)0)
    00124 #define PRISM2_RID_TXRATECNTL2_LEN          ((UINT16)0)
    00125 #define PRISM2_RID_TXRATECNTL3_LEN          ((UINT16)0)
    00126 #define PRISM2_RID_TXRATECNTL4_LEN          ((UINT16)0)
    00127 #define PRISM2_RID_TXRATECNTL5_LEN          ((UINT16)0)
    00128 #define PRISM2_RID_TXRATECNTL6_LEN          ((UINT16)0)
    00129
    00130 /*--------------------------------------------------------------------
    00131 Configuration RIDs: Behavior Parameters
    00132 --------------------------------------------------------------------*/
    00133 #define     PRISM2_RID_ITICKTIME            ((UINT16)0xFCE0)
    00134
    00135 /*--------------------------------------------------------------------
    00136 Configuration RID Lengths: Behavior Parameters
    00137   This is the length of JUST the DATA part of the RID (does not
    00138   include the len or code fields)
    00139 --------------------------------------------------------------------*/
    00140 #define     PRISM2_RID_ITICKTIME_LEN        ((UINT16)2)
    00141
    00142 /*----------------------------------------------------------------------
    00143 Information RIDs: NIC Information
    00144 --------------------------------------------------------------------*/
    00145 #define PRISM2_RID_MAXLOADTIME              ((UINT16)0xFD00)
    00146 #define PRISM2_RID_DOWNLOADBUFFER           ((UINT16)0xFD01)
    00147 #define PRISM2_RID_PRIIDENTITY              ((UINT16)0xFD02)
    00148 #define PRISM2_RID_PRISUPRANGE              ((UINT16)0xFD03)
    00149 #define PRISM2_RID_PRI_CFIACTRANGES         ((UINT16)0xFD04)
    00150 #define PRISM2_RID_NICSERIALNUMBER          ((UINT16)0xFD0A)
    00151 #define PRISM2_RID_NICIDENTITY              ((UINT16)0xFD0B)
    00152 #define PRISM2_RID_MFISUPRANGE              ((UINT16)0xFD0C)
    00153 #define PRISM2_RID_CFISUPRANGE              ((UINT16)0xFD0D)
    00154 #define PRISM2_RID_CHANNELLIST              ((UINT16)0xFD10)
    00155 #define PRISM2_RID_REGULATORYDOMAINS        ((UINT16)0xFD11)
    00156 #define PRISM2_RID_TEMPTYPE                 ((UINT16)0xFD12)
    00157 #define PRISM2_RID_CIS                      ((UINT16)0xFD13)
    00158 #define PRISM2_RID_STAIDENTITY              ((UINT16)0xFD20)
    00159 #define PRISM2_RID_STASUPRANGE              ((UINT16)0xFD21)
    00160 #define PRISM2_RID_STA_MFIACTRANGES         ((UINT16)0xFD22)
    00161 #define PRISM2_RID_STA_CFIACTRANGES         ((UINT16)0xFD23)
    00162 #define PRISM2_RID_BUILDSEQ                 ((UINT16)0xFFFE)
    00163 #define PRISM2_RID_FWID                     ((UINT16)0xFFFF)
    00164
    00165 /*----------------------------------------------------------------------
    00166 Information RID Lengths: NIC Information
    00167   This is the length of JUST the DATA part of the RID (does not
    00168   include the len or code fields)
    00169 --------------------------------------------------------------------*/
    00170 #define PRISM2_RID_MAXLOADTIME_LEN          ((UINT16)0)
    00171 #define PRISM2_RID_DOWNLOADBUFFER_LEN       ((UINT16)sizeof(PRISM2_downloadbuffer_t))
    00172 #define PRISM2_RID_PRIIDENTITY_LEN          ((UINT16)8)
    00173 #define PRISM2_RID_PRISUPRANGE_LEN          ((UINT16)10)
    00174 #define PRISM2_RID_CFIACTRANGES_LEN         ((UINT16)10)
    00175 #define PRISM2_RID_NICSERIALNUMBER_LEN      ((UINT16)12)
    00176 #define PRISM2_RID_NICIDENTITY_LEN          ((UINT16)8)
    00177 #define PRISM2_RID_MFISUPRANGE_LEN          ((UINT16)10)
    00178 #define PRISM2_RID_CFISUPRANGE_LEN          ((UINT16)10)
    00179 #define PRISM2_RID_CHANNELLIST_LEN          ((UINT16)0)
    00180 #define PRISM2_RID_REGULATORYDOMAINS_LEN    ((UINT16)12)
    00181 #define PRISM2_RID_TEMPTYPE_LEN             ((UINT16)0)
    00182 #define PRISM2_RID_CIS_LEN                  ((UINT16)480)
    00183 #define PRISM2_RID_STAIDENTITY_LEN          ((UINT16)8)
    00184 #define PRISM2_RID_STASUPRANGE_LEN          ((UINT16)10)
    00185 #define PRISM2_RID_MFIACTRANGES_LEN         ((UINT16)10)
    00186 #define PRISM2_RID_CFIACTRANGES2_LEN        ((UINT16)10)
    00187 #define PRISM2_RID_BUILDSEQ_LEN             ((UINT16)sizeof(PRISM2_BuildSeq_t))
    00188 #define PRISM2_RID_FWID_LEN                 ((UINT16)sizeof(PRISM2_FWID_t))
    00189
    00190 /*--------------------------------------------------------------------
    00191 Information RIDs:  MAC Information
    00192 --------------------------------------------------------------------*/
    00193 #define PRISM2_RID_PORTSTATUS               ((UINT16)0xFD40)
    00194 #define PRISM2_RID_CURRENTSSID              ((UINT16)0xFD41)
    00195 #define PRISM2_RID_CURRENTBSSID             ((UINT16)0xFD42)
    00196 #define PRISM2_RID_COMMSQUALITY             ((UINT16)0xFD43)
    00197 #define PRISM2_RID_CURRENTTXRATE            ((UINT16)0xFD44)
    00198 #define PRISM2_RID_CURRENTBCNINT            ((UINT16)0xFD45)
    00199 #define PRISM2_RID_CURRENTSCALETHRESH       ((UINT16)0xFD46)
    00200 #define PRISM2_RID_PROTOCOLRSPTIME          ((UINT16)0xFD47)
    00201 #define PRISM2_RID_SHORTRETRYLIMIT          ((UINT16)0xFD48)
    00202 #define PRISM2_RID_LONGRETRYLIMIT           ((UINT16)0xFD49)
    00203 #define PRISM2_RID_MAXTXLIFETIME            ((UINT16)0xFD4A)
    00204 #define PRISM2_RID_MAXRXLIFETIME            ((UINT16)0xFD4B)
    00205 #define PRISM2_RID_CFPOLLABLE               ((UINT16)0xFD4C)
    00206 #define PRISM2_RID_AUTHALGORITHMS           ((UINT16)0xFD4D)
    00207 #define PRISM2_RID_PRIVACYOPTIMP            ((UINT16)0xFD4F)
    00208 #define PRISM2_RID_DBMCOMMSQUALITY          ((UINT16)0xFD51)
    00209 #define PRISM2_RID_CURRENTTXRATE1           ((UINT16)0xFD80)
    00210 #define PRISM2_RID_CURRENTTXRATE2           ((UINT16)0xFD81)
    00211 #define PRISM2_RID_CURRENTTXRATE3           ((UINT16)0xFD82)
    00212 #define PRISM2_RID_CURRENTTXRATE4           ((UINT16)0xFD83)
    00213 #define PRISM2_RID_CURRENTTXRATE5           ((UINT16)0xFD84)
    00214 #define PRISM2_RID_CURRENTTXRATE6           ((UINT16)0xFD85)
    00215 #define PRISM2_RID_OWNMACADDRESS            ((UINT16)0xFD86)
    00216 // #define  PRISM2_RID_PCFINFO              ((UINT16)0xFD87)
    00217 #define PRISM2_RID_SCANRESULTS              ((UINT16)0xFD88) // NEW
    00218 #define PRISM2_RID_HOSTSCANRESULTS          ((UINT16)0xFD89) // NEW
    00219 #define PRISM2_RID_AUTHENTICATIONUSED       ((UINT16)0xFD8A) // NEW
    00220
    00221 /*--------------------------------------------------------------------
    00222 Information RID Lengths:  MAC Information
    00223   This is the length of JUST the DATA part of the RID (does not
    00224   include the len or code fields)
    00225 --------------------------------------------------------------------*/
    00226 #define PRISM2_RID_PORTSTATUS_LEN           ((UINT16)0)
    00227 #define PRISM2_RID_CURRENTSSID_LEN          ((UINT16)34)
    00228 #define PRISM2_RID_CURRENTBSSID_LEN         ((UINT16)WLAN_BSSID_LEN)
    00229 #define PRISM2_RID_COMMSQUALITY_LEN         ((UINT16)sizeof(PRISM2_commsquality_t))
    00230 #define PRISM2_RID_DBMCOMMSQUALITY_LEN      ((UINT16)sizeof(PRISM2_dbmcommsquality_t))
    00231 #define PRISM2_RID_CURRENTTXRATE_LEN        ((UINT16)0)
    00232 #define PRISM2_RID_CURRENTBCNINT_LEN        ((UINT16)0)
    00233 #define PRISM2_RID_STACURSCALETHRESH_LEN    ((UINT16)12)
    00234 #define PRISM2_RID_APCURSCALETHRESH_LEN     ((UINT16)6)
    00235 #define PRISM2_RID_PROTOCOLRSPTIME_LEN      ((UINT16)0)
    00236 #define PRISM2_RID_SHORTRETRYLIMIT_LEN      ((UINT16)0)
    00237 #define PRISM2_RID_LONGRETRYLIMIT_LEN       ((UINT16)0)
    00238 #define PRISM2_RID_MAXTXLIFETIME_LEN        ((UINT16)0)
    00239 #define PRISM2_RID_MAXRXLIFETIME_LEN        ((UINT16)0)
    00240 #define PRISM2_RID_CFPOLLABLE_LEN           ((UINT16)0)
    00241 #define PRISM2_RID_AUTHALGORITHMS_LEN       ((UINT16)4)
    00242 #define PRISM2_RID_PRIVACYOPTIMP_LEN        ((UINT16)0)
    00243 #define PRISM2_RID_CURRENTTXRATE1_LEN       ((UINT16)0)
    00244 #define PRISM2_RID_CURRENTTXRATE2_LEN       ((UINT16)0)
    00245 #define PRISM2_RID_CURRENTTXRATE3_LEN       ((UINT16)0)
    00246 #define PRISM2_RID_CURRENTTXRATE4_LEN       ((UINT16)0)
    00247 #define PRISM2_RID_CURRENTTXRATE5_LEN       ((UINT16)0)
    00248 #define PRISM2_RID_CURRENTTXRATE6_LEN       ((UINT16)0)
    00249 #define PRISM2_RID_OWNMACADDRESS_LEN        ((UINT16)6)
    00250 #define PRISM2_RID_PCFINFO_LEN              ((UINT16)6)
    00251 #define PRISM2_RID_CNFAPPCFINFO_LEN         ((UINT16)sizeof(PRISM2_PCFInfo_data_t))
    00252 #define PRISM2_RID_SCANREQUEST_LEN          ((UINT16)sizeof(PRISM2_ScanRequest_data_t))
    00253 #define PRISM2_RID_JOINREQUEST_LEN          ((UINT16)sizeof(PRISM2_JoinRequest_data_t))
    00254 #define PRISM2_RID_AUTHENTICATESTA_LEN      ((UINT16)sizeof(PRISM2_authenticateStation_data_t))
    00255 #define PRISM2_RID_CHANNELINFOREQUEST_LEN   ((UINT16)sizeof(PRISM2_ChannelInfoRequest_data_t))
    00256 /*--------------------------------------------------------------------
    00257 Information RIDs:  Modem Information
    00258 --------------------------------------------------------------------*/
    00259 #define PRISM2_RID_PHYTYPE                  ((UINT16)0xFDC0)
    00260 #define PRISM2_RID_CURRENTCHANNEL           ((UINT16)0xFDC1)
    00261 #define PRISM2_RID_CURRENTPOWERSTATE        ((UINT16)0xFDC2)
    00262 #define PRISM2_RID_CCAMODE                  ((UINT16)0xFDC3)
    00263 #define PRISM2_RID_SUPPORTEDDATARATES       ((UINT16)0xFDC6)
    00264 #define PRISM2_RID_LFOSTATUS                ((UINT16)0xFDC7) // 1.7.1
    00265
    00266 /*--------------------------------------------------------------------
    00267 Information RID Lengths:  Modem Information
    00268   This is the length of JUST the DATA part of the RID (does not
    00269   include the len or code fields)
    00270 --------------------------------------------------------------------*/
    00271 #define PRISM2_RID_PHYTYPE_LEN              ((UINT16)0)
    00272 #define PRISM2_RID_CURRENTCHANNEL_LEN       ((UINT16)0)
    00273 #define PRISM2_RID_CURRENTPOWERSTATE_LEN    ((UINT16)0)
    00274 #define PRISM2_RID_CCAMODE_LEN              ((UINT16)0)
    00275 #define PRISM2_RID_SUPPORTEDDATARATES_LEN   ((UINT16)10)
    00276
    00277 /*--------------------------------------------------------------------
    00278 API ENHANCEMENTS (NOT ALREADY IMPLEMENTED)
    00279 --------------------------------------------------------------------*/
    00280 #define PRISM2_RID_CNFWEPDEFAULTKEYID       ((UINT16)0xFC23)
    00281 #define PRISM2_RID_CNFWEPDEFAULTKEY0        ((UINT16)0xFC24)
    00282 #define PRISM2_RID_CNFWEPDEFAULTKEY1        ((UINT16)0xFC25)
    00283 #define PRISM2_RID_CNFWEPDEFAULTKEY2        ((UINT16)0xFC26)
    00284 #define PRISM2_RID_CNFWEPDEFAULTKEY3        ((UINT16)0xFC27)
    00285 #define PRISM2_RID_CNFWEPFLAGS              ((UINT16)0xFC28)
    00286 #define PRISM2_RID_CNFWEPKEYMAPTABLE        ((UINT16)0xFC29)
    00287 #define PRISM2_RID_CNFAUTHENTICATION        ((UINT16)0xFC2A)
    00288 #define PRISM2_RID_CNFMAXASSOCSTATIONS      ((UINT16)0xFC2B)
    00289 #define PRISM2_RID_CNFTXCONTROL             ((UINT16)0xFC2C)
    00290 #define PRISM2_RID_CNFROAMINGMODE           ((UINT16)0xFC2D)
    00291 #define PRISM2_RID_CNFHOSTAUTH              ((UINT16)0xFC2E)
    00292 #define PRISM2_RID_CNFRCVCRCERROR           ((UINT16)0xFC30)
    00293 // #define PRISM2_RID_CNFMMLIFE             ((UINT16)0xFC31)
    00294 #define PRISM2_RID_CNFALTRETRYCNT           ((UINT16)0xFC32)
    00295 #define PRISM2_RID_CNFAPBCNINT              ((UINT16)0xFC33)
    00296 #define PRISM2_RID_CNFAPPCFINFO             ((UINT16)0xFC34)
    00297 #define PRISM2_RID_CNFSTAPCFINFO            ((UINT16)0xFC35)
    00298 #define PRISM2_RID_CNFPRIORITYQUSAGE        ((UINT16)0xFC37)
    00299 #define PRISM2_RID_CNFTIMCTRL               ((UINT16)0xFC40)
    00300 #define PRISM2_RID_CNFTHIRTY2TALLY          ((UINT16)0xFC42)
    00301 #define PRISM2_RID_CNFENHSECURITY           ((UINT16)0xFC43)
    00302 #define PRISM2_RID_CNFDBMADJUST             ((UINT16)0xFC46) // NEW
    00303 #define PRISM2_RID_SSNGENERICELEMENT        ((UINT16)0xFC48) // 1.7.0
    00304 #define PRISM2_RID_CNFSHORTPREAMBLE         ((UINT16)0xFCB0)
    00305 #define PRISM2_RID_CNFEXCLONGPREAMBLE       ((UINT16)0xFCB1)
    00306 #define PRISM2_RID_CNFAUTHRSPTIMEOUT        ((UINT16)0xFCB2)
    00307 #define PRISM2_RID_CNFBASICRATES            ((UINT16)0xFCB3)
    00308 #define PRISM2_RID_CNFSUPPRATES             ((UINT16)0xFCB4)
    00309 #define PRISM2_RID_CNFFALLBACKCTRL          ((UINT16)0xFCB5) // NEW
    00310 #define PRISM2_RID_WEPKEYDISABLE            ((UINT16)0xFCB6) // NEW
    00311 #define PRISM2_RID_WEPKEYMAPINDEX           ((UINT16)0xFCB7) // NEW
    00312 #define PRISM2_RID_BROADCASTKEYID           ((UINT16)0xFCB8) // NEW
    00313 #define PRISM2_RID_ENTSECFLAGEYID           ((UINT16)0xFCB9) // NEW
    00314 #define PRISM2_RID_CNFPASSIVESCANCTRL       ((UINT16)0xFCBA) // NEW STA
    00315 #define PRISM2_RID_SSNHANDLINGMODE          ((UINT16)0xFCBB) // 1.7.0
    00316 #define PRISM2_RID_MDCCONTROL               ((UINT16)0xFCBC) // 1.7.0/1.4.0
    00317 #define PRISM2_RID_MDCCOUNTRY               ((UINT16)0xFCBD) // 1.7.0/1.4.0
    00318 #define PRISM2_RID_TXPOWERMAX               ((UINT16)0xFCBE) // 1.7.0/1.4.0
    00319 #define PRISM2_RID_CNFLFOENBLED             ((UINT16)0xFCBF) // 1.6.3
    00320 #define PRISM2_RID_CAPINFO                  ((UINT16)0xFCC0) // 1.7.0/1.3.7
    00321 #define PRISM2_RID_LISTENINTERVAL           ((UINT16)0xFCC1) // 1.7.0/1.3.7
    00322 #define PRISM2_RID_SCANREQUEST              (UINT16)0xFCE1)
    00323 #define PRISM2_RID_JOINREQUEST              ((UINT16)0xFCE2)
    00324 #define PRISM2_RID_AUTHENTICATESTA          ((UINT16)0xFCE3)
    00325 #define PRISM2_RID_CHANNELINFOREQUEST       ((UINT16)0xFCE4)
    00326 #define PRISM2_RID_HOSTSCAN                 ((UINT16)0xFCE5) // NEW STA
    00327
    00328 #define PRISM2_RID_CNFWEPDEFAULTKEY_LEN     ((UINT16)6)
    00329 #define PRISM2_RID_CNFWEP128DEFAULTKEY_LEN  ((UINT16)14)
    00330 #define PRISM2_RID_CNFPRIOQUSAGE_LEN        ((UINT16)4)